Bug 1162091

Summary: Review Request: golang-github-rakyll-statik - Embed static files into a Go executable
Product: [Fedora] Fedora Reporter: Jan Chaloupka <jchaloup>
Component: Package ReviewAssignee: Lokesh Mandvekar <lsm5>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lsm5, package-review
Target Milestone: ---Flags: lsm5: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-17 05:43:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1161618    

Description Jan Chaloupka 2014-11-10 09:11:29 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-statik/golang-github-rakyll-statik.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-statik/golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc20.src.rpm

Description: statik allows you to embed a directory of static files
into your Go binary to be later served from an http.FileSystem.

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8087874

$ rpmlint golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc20.src.rpm golang-github-rakyll-statik-devel-0-0.1.gitf19d7c2.fc20.noarch.rpm golang-github-rakyll-statik.spec
golang-github-rakyll-statik.src: W: spelling-error %description -l en_US http -> HTTP
golang-github-rakyll-statik.src: W: spelling-error %description -l en_US FileSystem -> File System, File-system, Systemically
golang-github-rakyll-statik-devel.noarch: W: spelling-error %description -l en_US http -> HTTP
golang-github-rakyll-statik-devel.noarch: W: spelling-error %description -l en_US FileSystem -> File System, File-system, Systemically
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Jan Chaloupka 2014-11-10 09:12:06 UTC
upstream: https://github.com/rakyll/statik

Comment 2 Lokesh Mandvekar 2015-01-05 14:43:01 UTC
-License correct
-Spec file conforms to current golang packaging draft. Only sources installed for now.

Package approved

Comment 3 Jan Chaloupka 2015-01-05 14:47:36 UTC
New Package SCM Request
=======================
Package Name: golang-github-rakyll-statik
Short Description: Embed static files into a Go executable
Upstream URL: https://github.com/rakyll/statik
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2015-01-05 15:09:47 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-01-06 07:30:36 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6

Comment 6 Fedora Update System 2015-01-06 07:31:34 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc20

Comment 7 Fedora Update System 2015-01-06 07:31:53 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc21

Comment 8 Fedora Update System 2015-01-06 18:59:44 UTC
Package golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0110/golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-01-17 05:43:43 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-17 05:46:59 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-24 18:44:02 UTC
golang-github-rakyll-statik-0-0.1.gitf19d7c2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.